Loading...
Searching...
No Matches
auth_ntlm.h File Reference

Datatypes and functions for Ntlm authentication. More...

`#include <sofia-sip/su_alloc.h>`
`#include <sofia-sip/auth_plugin.h>`
Include dependency graph for auth_ntlm.h:

Go to the source code of this file.

## Macros

#define | AUTH_NTLM_H
| Defined when <sofia-sip/auth_ntlm.h> has been included.

## Functions

issize_t | auth_ntlm_challenge_get (su_home_t *, auth_challenge_t *, char const *const params[])
| Get ntlm-challenge parameters.
issize_t | auth_ntlm_response_get (su_home_t *, auth_response_t *, char const *const params[])
| Get ntlm-response parameters.
msg_auth_t * | auth_ntlm_credentials (msg_auth_t *auth, char const *realm, char const *opaque, char const *gssapidata, char const *targetname)
| NTLM scheme.
void | auth_challenge_ntlm (auth_mod_t *am, auth_status_t *as, auth_challenger_t const *ach)
| Construct a challenge header for Ntlm authentication scheme.
void | auth_method_ntlm (auth_mod_t *am, auth_status_t *as, msg_auth_t *au, auth_challenger_t const *ach)
| Authenticate a request with Ntlm authentication scheme.
void | auth_check_ntlm (auth_mod_t *am, auth_status_t *as, auth_response_t *ar, auth_challenger_t const *ach)
| Check ntlm authentication.
void | auth_info_ntlm (auth_mod_t *am, auth_status_t *as, auth_challenger_t const *ach)
| Construct a info header for Ntlm authentication scheme.

## Detailed Description

Datatypes and functions for Ntlm authentication.

The structures and functions here follow the RFC 2617.

See also
  RFC 2617, "HTTP Authentication: Basic and Ntlm Access Authentication", J. Franks et al, June 1999.
  Section 19 from <a href="ftp://ftp.ietf.org/internet-drafts/draft-ietf-sip-rfc2543bis-04.txt>draft-ietf-sip-rfc2543bis-04.

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Thu Feb 22 12:25:55 2001 ppessi

## Function Documentation

## auth_ntlm_challenge_get()

issize_t auth_ntlm_challenge_get | ( | su_home_t * | home,
|  | auth_challenge_t * | ac0,
|  | char const *const | params[] )

Get ntlm-challenge parameters.

The function ntlm_challenge_get() searches for the ntlm authentication parameters in params. The parameters are assigned to the appropriate fields in ac structure.

Returns

The function ntlm_challenge_get() returns number of parameters found, or -1 upon an error.

## auth_ntlm_credentials()

msg_auth_t * auth_ntlm_credentials | ( | msg_auth_t * | auth,
|  | char const * | realm,
|  | char const * | opaque,
|  | char const * | gssapidata,
|  | char const * | targetname )

NTLM scheme.

NTLM scheme.

## auth_ntlm_response_get()

issize_t auth_ntlm_response_get | ( | su_home_t * | home,
|  | auth_response_t * | ar0,
|  | char const *const | params[] )

Get ntlm-response parameters.

The function auth_response_get() searches for the ntlm authentication parameters in params. The parameters are assigned to the appropriate fields in ar structure.

Returns

The function auth_response_get() returns number of parameters found, or -1 upon an error.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.